bm::bit_vistor_copy_functor< BV > Struct Template Reference

Functor for bit-copy (for testing). More...

`#include <bmalgo.h>`

## Public Types

typedef BV::size_type | size_type

## Public Member Functions

| bit_vistor_copy_functor (BV &bv)
int | add_bits (size_type offset, const unsigned char *bits, unsigned size)
int | add_range (size_type offset, size_type size)

## Data Fields

BV & | bv_
bit_visitor_callback_type | func_

## Detailed Description

template<class BV>
struct bm::bit_vistor_copy_functor< BV >

Functor for bit-copy (for testing).

Definition at line 292 of file bmalgo.h.

## Member Typedef Documentation

## size_type

template<class BV>

typedef BV::size_type bm::bit_vistor_copy_functor< BV >::size_type

Definition at line 294 of file bmalgo.h.

## Constructor & Destructor Documentation

## bit_vistor_copy_functor()

template<class BV>

bm::bit_vistor_copy_functor< BV >::bit_vistor_copy_functor | ( | BV & | bv | ) |

inline

Definition at line 296 of file bmalgo.h.

References bv_.

## Member Function Documentation

## add_bits()

template<class BV>

int bm::bit_vistor_copy_functor< BV >::add_bits | ( | size_type | offset,
|  | const unsigned char * | bits,
|  | unsigned | size )

inline

Definition at line 302 of file bmalgo.h.

References BM_ASSERT, and bv_.

## add_range()

template<class BV>

int bm::bit_vistor_copy_functor< BV >::add_range | ( | size_type | offset,
|  | size_type | size )

inline

Definition at line 309 of file bmalgo.h.

References BM_ASSERT, and bv_.

## Field Documentation

## bv_

template<class BV>

BV& bm::bit_vistor_copy_functor< BV >::bv_

Definition at line 316 of file bmalgo.h.

Referenced by add_bits(), add_range(), and bit_vistor_copy_functor().

## func_

template<class BV>

bit_visitor_callback_type bm::bit_vistor_copy_functor< BV >::func_

Definition at line 317 of file bmalgo.h.

The documentation for this struct was generated from the following file:

- bmalgo.h